Bug 429987 - specify fields to search on
specify fields to search on
Status: CLOSED DEFERRED
Product: freeIPA
Classification: Community
Component: WebUI (Show other bugs)
1.0
All Linux
high Severity high
: v2 release
: ---
Assigned To: Rob Crittenden
Ben Levenson
:
Depends On:
Blocks: freeipa12
  Show dependency treegraph
 
Reported: 2008-01-24 00:54 EST by Chandrasekar Kannan
Modified: 2015-01-21 07:30 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-21 07:30:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-01-24 00:54:20 EST
Ticket #16 (new enhancement)

Opened 4 months ago

Last modified 3 months ago
specify fields to search on
Reported by: 	kmccarth 	Assigned to: 	rcritten
Priority: 	major 	Milestone: 	release-1
Component: 	ipa-server 	Version: 	1.0
Keywords: 		Cc: 	
Description ¶

Add the ability to specify fields when searching. For instance, searching for "phone:1234 kevin" would search for 'kevin' across all fields, but would only search the phone field for 1234.
Change History
2007-10-08 12:07:35 changed by kmccarth ¶

    * owner changed from somebody to kmccarth.
    * summary changed from webgui: specify fields to search on to specify fields to search on.
    * type changed from defect to enhancement.
    * version set to 1.0.
    * milestone set to release-1.

2007-10-31 14:23:22 changed by rcritten ¶

    * owner changed from kmccarth to rcritten.
Comment 4 Jason Gerard DeRose 2010-02-17 06:49:00 EST
The grid-based search in the V2 webUI allows for per column search.  For columns that have been marked searchable, there's a text entry in the column header.

However, we could perhaps also support support the "phone:1234" syntax you propose.  You could use "phone:1234" in the generic search, or "1234" in the phone column.  Would you want both?
Comment 5 Rob Crittenden 2010-09-09 13:27:38 EDT
ticket https://fedorahosted.org/freeipa/ticket/191
Comment 8 Martin Kosek 2015-01-21 07:30:41 EST
Thank you taking your time and submitting this request for FreeIPA in Fedora. Unfortunately, this bug was not given a priority and was deferred both in Fedora and in the upstream FreeIPA project.

Given that we are unable to fulfill this request in following Fedora releases, I am closing the Bugzilla as DEFERRED. To request re-consideration of this decision please reopen this Bugzilla and provide additional technical details about its importance to you.

Note that you can still track this request or even contribute patches in the referred upstream Trac ticket.

Note You need to log in before you can comment on or make changes to this bug.